package org.jeecg.modules.itdmGongDan.service;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.itdmGongDan.dto.ItdmJHYAddOrUpdateDTO;
import org.jeecg.modules.itdmGongDan.dto.ItdmXMJLAddOrUpdateDTO;
import org.jeecg.modules.itdmGongDan.vo.ItdmJHYQueryListVO;
import org.jeecg.modules.itdmGongDan.vo.ItdmXMJLQueryListVO;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;


/**
 * 计划排期——试验计划（计划员）；工单制定（项目经理）
 */
public interface IItdmJCXMSHJHService {


    /**
     *   删除2级工单master+对应的工单detail
     */
    public String deleteByGongdanMasterId(String id);

    /**
     * 项目经理新增或修改试验计划或工单master
     */
    public String XMJLAddOrUpdate(ItdmXMJLAddOrUpdateDTO dto);

    /**
     * 项目经理查询列表——一级列表——通过登录用户查询
     */
    public List<ItdmXMJLQueryListVO> getXMJLFirstListByUserName(String weituoNo,String realName);
    /**
     * 项目经理查询列表——二级列表——通过登录用户查询
     */
    public List<ItdmXMJLQueryListVO> getXMJLSecondListByUserName(String weituoNo,String realName);

    /**
     * 项目经理查询列表——一级列表——admin
     */
    public List<ItdmXMJLQueryListVO> getXMJLFirstList(String weituoNo);
    /**
     * 项目经理查询列表——二级列表——admin
     */
    public List<ItdmXMJLQueryListVO> getXMJLSecondList(String weituoNo);

    /**
     * 计划员新增或修改试验计划
     */
    public String JHYAddAndUpdate(@RequestBody List<ItdmJHYAddOrUpdateDTO> list);

    public String JHYAddAndUpdate(@RequestBody ItdmJHYAddOrUpdateDTO dto);
    /**
     * 计划员查询列表
     */
    public List<ItdmJHYQueryListVO> getAll3(@Param("weituoNo") String weituoId);

    /**
     * 计划员查询列表(测试)
     */
    public List<ItdmJHYQueryListVO> getAll(@Param("weituoNo") String weituoId);

}
